# deleteCustomerLocation

Deletes a partner location that belongs to the specified customer

`DELETE /v2/customers/{customerid}/locations/{locationid}`

**API:** Avalara MyLodgeTax API
**Tag:** Customer Information
**API Version:** v1.2
**Base URL:** https://mylodgetaxapi-sbx.avalara.net
**Content-Type:** `application/json`
**Authentication:** API Key (`Authorization` in header)

Source: https://developer.avalara.com/products/mylodge/api/methods/Customer%20Information/deleteCustomerLocation/

## Description

Allows for the deletion of a partner location listing for a given customer that has been synced to the MyLodgeTax system.

## Parameters

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `customerid` | string | path | Yes | Unique, partner-specific customer identifier assigned when posting a partnerLead (_customerId_). |
| `locationid` | string | path | Yes | Unique, partner-specific identifier of the location as defined in the calling system |

## Responses

| Status | Description | Schema |
|---|---|---|
| 204 | No Content |  |
| 404 | Customer Not Found | `ErrorResponse` |
| 429 | Exceeded API Rate Limits | `ErrorResponse` |
| 500 | Unknown Error | `ErrorResponse` |

## Example Request

```bash
curl -X DELETE "https://mylodgetaxapi-sbx.avalara.net/v2/customers/{customerid}/locations/{locationid}" \
  -H "Authorization: Basic <credentials>" \
  -H "Accept: application/json"
```